Subject: Re: [PATCH v8] ls-files: introduce "--format" option

From: Junio C Hamano <[email-masked]>
Date: Sat, 23 Jul 2022 11:46:40 -0700

Junio C Hamano <[email-masked]> writes:

> That was not the point.  By extracting only "%(objectmode)" without
> having any other clues (like "%(path)") on the same line, the test
> is assuming that ls-files will always sort its output in the same
> order regardless of the output format, whether it is "--stage" or
> "--format=<spec>", and that was what the "is this testing the right
> thing?" question was about.
>
> The other test that makes sure --format=<spec> can recreate --stage
> output is fine.  If some future developer breaks the output order by
> mistake for --format=<spec>, we will catch such a mistake with it.

Having said that, let's stop rerolling the series just for this.  An
extra test that may not catch potential breakage is fine and it is
not worth spending an extra review cycle only to remove it.

Thanks.